#!/bin/bash

taskdir=${1}
export GDFONTPATH=/usr/share/fonts/bitstream-vera

rm -f *.png

echo " running plot output file"
sed -e "s,%TASKDIR%,${taskdir},g" output.plt.in > output.plt
gnuplot output.plt
rm -f output.plt

for pngfile in *.png; do
  echo " postprocessing ${pngfile}"
  convert -resize '50%' ${pngfile} tmp.png
  mv tmp.png ../../${taskdir}/${pngfile}
  rm -f ${pngfile}
done

